MongoDBRef::get
MongoMinKey
MongoDBRef
PHP Manual

# MongoDBRef::isRef

(PECL mongo >= 0.9.0)

MongoDBRef::isRef — Checks if an array is a database reference

### Description

public static boolean MongoDBRef::isRef ( mixed `$ref` )

This not actually follow the reference, so it does not determine if it is broken or not. It merely checks that `ref` is in valid database reference format (in that it is an object or array with $ref and $id fields).

### Parameters

`ref`

  Array or object to check.

### Return Values

Returns if `ref` is a reference.

MongoDBRef::get
MongoMinKey
MongoDBRef
PHP Manual